## org.eclipse.jetty.util.log
Class Slf4jLog

    java.lang.Object
      org.eclipse.jetty.util.log.Slf4jLog

All Implemented Interfaces:
  Logger

    public class Slf4jLog

extends Object
implements Logger

Slf4jLog Logger

Constructor Summary
`Slf4jLog()`
`Slf4jLog(String name)`

Method Summary
`void` `debug(String msg, Object... args)` Formats and logs at debug level.
`void` `debug(String msg, Throwable thrown)` Logs the given message at debug level, with Throwable information.
`void` `debug(Throwable thrown)` Logs the given Throwable information at debug level
`Logger` `getLogger(String name)`
`String` `getName()`
`void` `ignore(Throwable ignored)` Ignore an exception.
`void` `info(String msg, Object... args)` Formats and logs at info level.
`void` `info(String msg, Throwable thrown)` Logs the given message at info level, with Throwable information.
`void` `info(Throwable thrown)` Logs the given Throwable information at info level
`boolean` `isDebugEnabled()`
`void` `setDebugEnabled(boolean enabled)` Mutator used to turn debug on programmatically.
`String` `toString()`
`void` `warn(String msg, Object... args)` Formats and logs at warn level.
`void` `warn(String msg, Throwable thrown)` Logs the given message at warn level, with Throwable information.
`void` `warn(Throwable thrown)` Logs the given Throwable information at warn level

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Slf4jLog

    public Slf4jLog()
             throws Exception

Throws:
  `Exception`

### Slf4jLog

    public Slf4jLog(String name)

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `Logger`
  Returns:
    the name of this logger

### warn

    public void warn(String msg,
                     Object... args)

  Description copied from interface: `Logger`
  Formats and logs at warn level.

  Specified by:
    `warn` in interface `Logger`
  Parameters:
    `msg` - the formatting string
    `args` - the optional arguments

### warn

    public void warn(Throwable thrown)

  Description copied from interface: `Logger`
  Logs the given Throwable information at warn level

  Specified by:
    `warn` in interface `Logger`
  Parameters:
    `thrown` - the Throwable to log

### warn

    public void warn(String msg,
                     Throwable thrown)

  Description copied from interface: `Logger`
  Logs the given message at warn level, with Throwable information.

  Specified by:
    `warn` in interface `Logger`
  Parameters:
    `msg` - the message to log
    `thrown` - the Throwable to log

### info

    public void info(String msg,
                     Object... args)

  Description copied from interface: `Logger`
  Formats and logs at info level.

  Specified by:
    `info` in interface `Logger`
  Parameters:
    `msg` - the formatting string
    `args` - the optional arguments

### info

    public void info(Throwable thrown)

  Description copied from interface: `Logger`
  Logs the given Throwable information at info level

  Specified by:
    `info` in interface `Logger`
  Parameters:
    `thrown` - the Throwable to log

### info

    public void info(String msg,
                     Throwable thrown)

  Description copied from interface: `Logger`
  Logs the given message at info level, with Throwable information.

  Specified by:
    `info` in interface `Logger`
  Parameters:
    `msg` - the message to log
    `thrown` - the Throwable to log

### debug

    public void debug(String msg,
                      Object... args)

  Description copied from interface: `Logger`
  Formats and logs at debug level.

  Specified by:
    `debug` in interface `Logger`
  Parameters:
    `msg` - the formatting string
    `args` - the optional arguments

### debug

    public void debug(Throwable thrown)

  Description copied from interface: `Logger`
  Logs the given Throwable information at debug level

  Specified by:
    `debug` in interface `Logger`
  Parameters:
    `thrown` - the Throwable to log

### debug

    public void debug(String msg,
                      Throwable thrown)

  Description copied from interface: `Logger`
  Logs the given message at debug level, with Throwable information.

  Specified by:
    `debug` in interface `Logger`
  Parameters:
    `msg` - the message to log
    `thrown` - the Throwable to log

### isDebugEnabled

    public boolean isDebugEnabled()

  Specified by:
    `isDebugEnabled` in interface `Logger`
  Returns:
    whether the debug level is enabled

### setDebugEnabled

    public void setDebugEnabled(boolean enabled)

  Description copied from interface: `Logger`
  Mutator used to turn debug on programmatically.

  Specified by:
    `setDebugEnabled` in interface `Logger`
  Parameters:
    `enabled` - whether to enable the debug level

### getLogger

    public Logger getLogger(String name)

  Specified by:
    `getLogger` in interface `Logger`
  Parameters:
    `name` - the name of the logger
  Returns:
    a logger with the given name

### ignore

    public void ignore(Throwable ignored)

  Description copied from interface: `Logger`
  Ignore an exception.

  This should be used rather than an empty catch block.

  Specified by:
    `ignore` in interface `Logger`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.